CVE-2020-36280

NameCVE-2020-36280
DescriptionLeptonica before 1.80.0 allows a heap-based buffer over-read in pixReadFromTiffStream, related to tiffio.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs985089

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
leptonlib (PTS)stretch1.74.1-1fixed
stretch (security)1.74.1-1+deb9u1fixed
buster1.76.0-1vulnerable
bookworm, sid, bullseye1.79.0-1.1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
leptonlibsourcestretch(not affected)
leptonlibsource(unstable)1.79.0-1.1985089

Notes

[buster] - leptonlib <no-dsa> (Minor issue)
[stretch] - leptonlib <not-affected> (Vulnerable code introduced later)
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=23654
https://github.com/DanBloomberg/leptonica/commit/5ba34b1fe741d69d43a6c8cf767756997eadd87c

Search for package or bug name: Reporting problems